-- =============================================
-- Author:		Marco Gentilezza
-- Create date: 
-- Description:	
-- =============================================
--[C6MartPeriodico].[PL_DT_S164PolizzeAltriIstituti]'S', 'MRTRRT57T17E758I'
CREATE procedure [C6MartPeriodico].[PL_D2_S164PolizzeAltriIstituti] 
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	SELECT     
		PATRTERZI.INTERMEDIARIO AS Intermediario,
		dbo.toShortDateString(PATRTERZI.DATA_SOTTOSCRIZIONE) AS DataDiSottoscrizione,
		dbo.toShortDateString(PATRTERZI.DATA_SCADENZA) AS DataDiScadenza,
		PATRTERZI.TIPO_POLIZZA AS TipologiaPolizza, 
		ANAGTERZI.NOME_PRODOTTO AS Descrizione,
		NULL AS Aggiornamento, 
		PATRTERZI.CTV AS PrestazioneAssicurata, 
		PATRTERZI.TIPO_PRODOTTO AS TipoVersamento, 
		PATRTERZI.VERSATO_NETTO  AS AmmontareVersamento 
	FROM 
		C6MartPeriodico.PATRIMONIO_TERZI AS PATRTERZI
	INNER JOIN 
		C6MartPeriodico.ANAG_PRODOTTI_TERZI AS ANAGTERZI
		ON 
			PATRTERZI.COD_PRODOTTO_TERZI = ANAGTERZI.COD_PRODOTTO_TERZI 			
			AND ANAGTERZI.DESCR_PRODOTTO = 'Assets.FinancialAssets.PolizzeRivalutabili'
	WHERE  PATRTERZI.RETE = @Rete
		AND PATRTERZI.COD_FISCALE = @CodiceFiscale
END